%define upstream_name       WWW-Mechanize-Cached
%define upstream_version 1.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Cache response to be polite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Devel::SimpleTrace)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Uses the Cache::Cache hierarchy to implement a caching Mech. This
lets one perform repeated requests without hammering a server
impolitely.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS Changes INSTALL LICENSE META.json MYMETA.yml README examples
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 374734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.410.0-1.mga3
+ Revision: 267515
- update to 1.41

* Tue Jan 25 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 38394
- mageia rebuild
- imported package perl-WWW-Mechanize-Cached

